Bug 969876 - Setting the scale info on a cartridge to the same value results in connection hooks being run
Setting the scale info on a cartridge to the same value results in connection...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 17:08 EDT by Clayton Coleman
Modified: 2015-05-14 20:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:15:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2013-06-02 17:08:05 EDT
Created a scaled 3rd party cartridge, and then set the minimum scale to 2.  Operation succeeded.  Set minimum scale to 2 again, and noticed that all connection hooks were rerun.  If the scale value doesn't change (if scale up is not required) the second operation should be a no-op.

1) rhc create-app foo php-5.3 -s
2) rhc add-cartridge "http://cartreflect-claytondev.rhcloud.com/reflect?github=smarterclayton/openshift-redis-cart&commit=6dca180bb06412a261d7211d9d8fe1211afe32d8" -a foo
3) rhc cartridge-scale redis -a foo --min 2

<creates a second gear>

4) rhc cartridge-scale redis -a foo --min 2

<runs publish hooks again, should do nothing>

Does not block sprint exit.  Is a performance and potential app availability issue (if connection hooks have side effects).
Comment 1 Xiaoli Tian 2013-06-02 21:21:32 EDT
Move it to Online product according to recent workflow about filing bugs, and the release blocker list may only count Online bugs as well.
Comment 2 Xiaoli Tian 2013-06-03 00:07:56 EDT
(In reply to Clayton Coleman from comment #0)
> <runs publish hooks again, should do nothing>
> 
> Does not block sprint exit.  Is a performance and potential app availability
> issue (if connection hooks have side effects).

Add a futurefeature keyword for now to remove it from block list according to comment 0.
Comment 3 openshift-github-bot 2013-07-15 14:18:48 EDT
Commits pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/0d2f10a3baf6e632b7eede1839ea93ebde5ce3b4
Bug 969876 - Don't run execute_connections if there are no add/remove component ops

https://github.com/openshift/origin-server/commit/aa14b659e97504822d0424c6346ceb7b39074b38
Merge pull request #3072 from pravisankar/dev/ravi/bug969876

Merged by openshift-bot
Comment 4 Jianwei Hou 2013-07-16 08:06:14 EDT
Verified on devenv_3508

1) rhc create-app foo php-5.3 -s
2) rhc add-cartridge "http://cartreflect-claytondev.rhcloud.com/reflect?github=smarterclayton/openshift-redis-cart&commit=6dca180bb06412a261d7211d9d8fe1211afe32d8" -a foo
3) rhc cartridge-scale redis -a foo --min 2
4) rhc cartridge-scale redis -a foo --min 2

The publisher hooks won't be called on the second time

Note You need to log in before you can comment on or make changes to this bug.